{% extends 'partials/base.html.twig' %}

{% block content %}
    <div class="content bg-bright">
	  {% include 'partials/breadcrumbs.html.twig' %}
      {{ page.content }}
     
      {% set collection = page.collection() %}

      {# Render the list of blog posts (automatically filtered when using pagination) #}
      {% for article in collection %}
        <div class="card">
          {% if grav.user.access.admin.super %} 
            <a class="admin-link float-right" href="{{ "/admin/pages" ~ article.url}}"><img class="inline-icon" alt="Edit this article" src="{{ url('theme://images/icons/edit-symbolic.png') }}"></a>
          {% endif %}
          <h3><a href="{{article.url}}">{{article.title}}</a></h3>
          <p class="date">{{article.date|nicetime}}</p>
          {{article.summary}}
          <a href="{{article.url}}">Continue reading...</a>
        </div>
      {% endfor %}

      {# Render the pagination list #}
      {% if config.plugins.pagination.enabled and collection.params.pagination %}
          {% include 'partials/pagination.html.twig' with {'base_url':page.url, 'pagination':collection.params.pagination} %}
      {% endif %}
    </div>
{% endblock %}